Bug 1339449 - [RFE] Improved broker logging for expired messages
Summary: [RFE] Improved broker logging for expired messages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp
Version: 3.2
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: 3.2.2
: ---
Assignee: Gordon Sim
QA Contact: Messaging QE
URL:
Whiteboard:
Depends On: 866677
Blocks: 698367
TreeView+ depends on / blocked
 
Reported: 2016-05-25 04:59 UTC by Mike Cressman
Modified: 2019-11-14 08:09 UTC (History)
6 users (show)

Fixed In Version: qpid-cpp-0.34-12
Doc Type: Enhancement
Doc Text:
Feature: Improved broker logging for expired messages Reason: Messages that are expired by the queue cleaner are not logged as they used to be. Logging should include the queue name and the message properties. Result (if any): Logging is moved to a common place in the source module so all expired messages receive the same logging treatment. The queue name and message properties are included in debug-level log entries.
Clone Of: 866677
Environment:
Last Closed: 2016-10-11 07:36:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Apache JIRA QPID-4397 None None None 2016-05-25 04:59:03 UTC
Red Hat Product Errata RHBA-2016:2049 normal SHIPPED_LIVE Red Hat Enterprise MRG Messaging 3.2.2 Bug Fix Release 2016-10-11 11:36:01 UTC

Comment 1 Mike Cressman 2016-05-25 05:02:36 UTC
We added this feature downstream to MRG-M 2, but it never made it upstream, so it is not in MRG-M 3.  Customer has requested we add to MRG-M 3 (same functionality as currently in MRG-M 2.

Comment 2 Gordon Sim 2016-05-25 07:05:32 UTC
Fixed upstream: https://svn.apache.org/r1745448

Comment 7 errata-xmlrpc 2016-10-11 07:36:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2049.html


Note You need to log in before you can comment on or make changes to this bug.